
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef STEREOPIXEL_PRINTXML_H
#define STEREOPIXEL_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/viamPrintXML.h"

#include "server/pomPrintXML.h"


#include "stereopixelPosterLib.h"

/* Prototypes */
extern void printXML_struct_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *out, char *name,
     struct STEREOPIXEL_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *out, char *name,
     struct STEREOPIXEL_DISPARITY_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_STEREOPIXEL_STR ( FILE *out, char *name,
     struct STEREOPIXEL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixCorrelationResult ( FILE *out, char *name,
     struct SpixCorrelationResult *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixSaveParams ( FILE *out, char *name,
     struct SpixSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SpixFrameCoord ( FILE *out, char *name,
     enum SpixFrameCoord *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixBlobFilter ( FILE *out, char *name,
     struct SpixBlobFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixCorrelParams ( FILE *out, char *name,
     struct SpixCorrelParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SpixInterpolationType ( FILE *out, char *name,
     enum SpixInterpolationType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_enum_SpixCorrelType ( FILE *out, char *name,
     enum SpixCorrelType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixName ( FILE *out, char *name,
     struct SpixName *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Spix3DImage ( FILE *out, char *name,
     struct Spix3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_Spix3DPixel ( FILE *out, char *name,
     struct Spix3DPixel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_SpixDisparity ( FILE *out, char *name,
     struct SpixDisparity *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_SpixDisparity ( FILE *out, char *name,
     SpixDisparity *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Spix3DPixel ( FILE *out, char *name,
     Spix3DPixel *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_Spix3DImage ( FILE *out, char *name,
     Spix3DImage *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixName ( FILE *out, char *name,
     SpixName *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixCorrelType ( FILE *out, char *name,
     SpixCorrelType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixInterpolationType ( FILE *out, char *name,
     SpixInterpolationType *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixCorrelParams ( FILE *out, char *name,
     SpixCorrelParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixBlobFilter ( FILE *out, char *name,
     SpixBlobFilter *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixFrameCoord ( FILE *out, char *name,
     SpixFrameCoord *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixSaveParams ( FILE *out, char *name,
     SpixSaveParams *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_SpixCorrelationResult ( FILE *out, char *name,
     SpixCorrelationResult *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_STEREOPIXEL_STR ( FILE *out, char *name,
     STEREOPIXEL_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_STEREOPIXEL_DISPARITY_POSTER_STR ( FILE *out, char *name,
     STEREOPIXEL_DISPARITY_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_STEREOPIXEL_THREEDIMAGE_POSTER_STR ( FILE *out, char *name,
     STEREOPIXEL_THREEDIMAGE_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* STEREOPIXEL_PRINT_XML_H */

